# Uses of Class
org.apache.lucene.util.AttributeImpl

Packages that use AttributeImpl
Package
Description
org.apache.lucene.analysis.tokenattributes
General-purpose attributes for text analysis.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

- ## Uses of AttributeImpl in org.apache.lucene.analysis.tokenattributes

  Subclasses of AttributeImpl in org.apache.lucene.analysis.tokenattributes
  Modifier and Type
  Class
  Description
  `class`
  `BytesTermAttributeImpl`
  Implementation class for `BytesTermAttribute`.
  `class`
  `CharTermAttributeImpl`
  Default implementation of `CharTermAttribute`.
  `class`
  `FlagsAttributeImpl`
  Default implementation of `FlagsAttribute`.
  `final class`
  `KeywordAttributeImpl`
  Default implementation of `KeywordAttribute`.
  `class`
  `OffsetAttributeImpl`
  Default implementation of `OffsetAttribute`.
  `class`
  `PackedTokenAttributeImpl`
  Default implementation of the common attributes used by Lucene: `CharTermAttribute` `TypeAttribute` `PositionIncrementAttribute` `PositionLengthAttribute` `OffsetAttribute` `TermFrequencyAttribute`
  `class`
  `PayloadAttributeImpl`
  Default implementation of `PayloadAttribute`.
  `class`
  `PositionIncrementAttributeImpl`
  Default implementation of `PositionIncrementAttribute`.
  `class`
  `PositionLengthAttributeImpl`
  Default implementation of `PositionLengthAttribute`.
  `class`
  `SentenceAttributeImpl`
  Default implementation of `SentenceAttribute`.
  `class`
  `TermFrequencyAttributeImpl`
  Default implementation of `TermFrequencyAttribute`.
  `class`
  `TypeAttributeImpl`
  Default implementation of `TypeAttribute`.
  Methods in org.apache.lucene.analysis.tokenattributes that return AttributeImpl
  Modifier and Type
  Method
  Description
  `AttributeImpl`
  BytesTermAttributeImpl.`clone()`
  Methods in org.apache.lucene.analysis.tokenattributes with parameters of type AttributeImpl
  Modifier and Type
  Method
  Description
  `void`
  BytesTermAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  CharTermAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  FlagsAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  KeywordAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  OffsetAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  PackedTokenAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  PayloadAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  PositionIncrementAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  PositionLengthAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  SentenceAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  TermFrequencyAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  TypeAttributeImpl.`copyTo(AttributeImpl target)`

- ## Uses of AttributeImpl in org.apache.lucene.search

  Subclasses of AttributeImpl in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `final class`
  `BoostAttributeImpl`
  Implementation class for `BoostAttribute`.
  `final class`
  `MaxNonCompetitiveBoostAttributeImpl`
  Implementation class for `MaxNonCompetitiveBoostAttribute`.
  Methods in org.apache.lucene.search with parameters of type AttributeImpl
  Modifier and Type
  Method
  Description
  `void`
  BoostAttributeImpl.`copyTo(AttributeImpl target)`
  `void`
  MaxNonCompetitiveBoostAttributeImpl.`copyTo(AttributeImpl target)`

- ## Uses of AttributeImpl in org.apache.lucene.util

  Classes in org.apache.lucene.util with type parameters of type AttributeImpl
  Modifier and Type
  Class
  Description
  `static class`
  `AttributeFactory.StaticImplementationAttributeFactory<A extends AttributeImpl>`
  Expert: AttributeFactory returning an instance of the given `clazz` for the attributes it implements.
  Methods in org.apache.lucene.util with type parameters of type AttributeImpl
  Modifier and Type
  Method
  Description
  `static <A extends AttributeImpl>
  AttributeFactory`
  AttributeFactory.`getStaticImplementation(AttributeFactory delegate, Class<A> clazz)`
  Returns an AttributeFactory returning an instance of the given `clazz` for the attributes it implements.
  Methods in org.apache.lucene.util that return AttributeImpl
  Modifier and Type
  Method
  Description
  `AttributeImpl`
  AttributeImpl.`clone()`
  In most cases the clone is, and should be, deep in order to be able to properly capture the state of all attributes.
  `abstract AttributeImpl`
  AttributeFactory.`createAttributeInstance(Class<? extends Attribute> attClass)`
  Returns an `AttributeImpl` for the supplied `Attribute` interface class.
  `final AttributeImpl`
  AttributeFactory.StaticImplementationAttributeFactory.`createAttributeInstance(Class<? extends Attribute> attClass)`
  Methods in org.apache.lucene.util that return types with arguments of type AttributeImpl
  Modifier and Type
  Method
  Description
  `final Iterator<AttributeImpl>`
  AttributeSource.`getAttributeImplsIterator()`
  Returns a new iterator that iterates all unique Attribute implementations.
  Methods in org.apache.lucene.util with parameters of type AttributeImpl
  Modifier and Type
  Method
  Description
  `final void`
  AttributeSource.`addAttributeImpl(AttributeImpl att)`
  Expert: Adds a custom AttributeImpl instance with one or more Attribute interfaces.
  `abstract void`
  AttributeImpl.`copyTo(AttributeImpl target)`
  Copies the values from this Attribute into the passed-in target attribute.